Skip to content
Primary navigation

Retrieve invite

GET/organization/invites/{invite_id}

Retrieves an invite.

Path ParametersExpand Collapse
invite_id: string
ReturnsExpand Collapse
Invite = object { id, email, expires_at, 6 more }

Represents an individual invite to the organization.

id: string

The identifier, which can be referenced in API endpoints

email: string

The email address of the individual to whom the invite was sent

expires_at: number

The Unix timestamp (in seconds) of when the invite expires.

invited_at: number

The Unix timestamp (in seconds) of when the invite was sent.

object: "organization.invite"

The object type, which is always organization.invite

role: "owner" or "reader"

owner or reader

One of the following:
"owner"
"reader"
status: "accepted" or "expired" or "pending"

accepted,expired, or pending

One of the following:
"accepted"
"expired"
"pending"
accepted_at: optional number

The Unix timestamp (in seconds) of when the invite was accepted.

projects: optional array of object { id, role }

The projects that were granted membership upon acceptance of the invite.

id: optional string

Project's public ID

role: optional "member" or "owner"

Project membership role

One of the following:
"member"
"owner"

Retrieve invite

curl https://api.openai.com/v1/organization/invites/invite-abc \
  -H "Authorization: Bearer $OPENAI_ADMIN_KEY" \
  -H "Content-Type: application/json"
{
    "object": "organization.invite",
    "id": "invite-abc",
    "email": "user@example.com",
    "role": "owner",
    "status": "accepted",
    "invited_at": 1711471533,
    "expires_at": 1711471533,
    "accepted_at": 1711471533
}
Returns Examples
{
    "object": "organization.invite",
    "id": "invite-abc",
    "email": "user@example.com",
    "role": "owner",
    "status": "accepted",
    "invited_at": 1711471533,
    "expires_at": 1711471533,
    "accepted_at": 1711471533
}